<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.contractInfo.mapper.ComContractInfoExchangeMapper">
    
    <resultMap type="ComContractInfoExchange" id="ComContractInfoExchangeResult">
        <result property="id"    column="id"    />
        <result property="bz"    column="bz"    />
        <result property="bh"    column="bh"    />
        <result property="bm"    column="bm"    />
        <result property="cpxh"    column="cpxh"    />
        <result property="dfk"    column="dfk"    />
        <result property="dkp"    column="dkp"    />
        <result property="dk"    column="dk"    />
        <result property="dkhpdqrq"    column="dkhpdqrq"    />
        <result property="dh"    column="dh"    />
        <result property="fpbh"    column="fpbh"    />
        <result property="fpbm"    column="fpbm"    />
        <result property="fpkje"    column="fpkje"    />
        <result property="fplx"    column="fplx"    />
        <result property="fpnr"    column="fpnr"    />
        <result property="fkfmc"    column="fkfmc"    />
        <result property="gxsj"    column="gxsj"    />
        <result property="gdbh"    column="gdbh"    />
        <result property="gdrq"    column="gdrq"    />
        <result property="htbh"    column="htbh"    />
        <result property="htfpjsyxdz"    column="htfpjsyxdz"    />
        <result property="htfpe"    column="htfpe"    />
        <result property="htje"    column="htje"    />
        <result property="htkzt"    column="htkzt"    />
        <result property="htlx"    column="htlx"    />
        <result property="htlxqk"    column="htlxqk"    />
        <result property="htmj"    column="htmj"    />
        <result property="htmc"    column="htmc"    />
        <result property="htqcr"    column="htqcr"    />
        <result property="htqdrq"    column="htqdrq"    />
        <result property="htrwid"    column="htrwid"    />
        <result property="htsl"    column="htsl"    />
        <result property="htys"    column="htys"    />
        <result property="htzgbm"    column="htzgbm"    />
        <result property="htzt"    column="htzt"    />
        <result property="htztsm"    column="htztsm"    />
        <result property="jf"    column="jf"    />
        <result property="jfyhjc"    column="jfyhjc"    />
        <result property="jfqyr"    column="jfqyr"    />
        <result property="jd"    column="jd"    />
        <result property="jeskzkp"    column="jeskzkp"    />
        <result property="khx"    column="khx"    />
        <result property="kpsj"    column="kpsj"    />
        <result property="kpzt"    column="kpzt"    />
        <result property="khid"    column="khid"    />
        <result property="khlcbh"    column="khlcbh"    />
        <result property="lxr"    column="lxr"    />
        <result property="lrsqr"    column="lrsqr"    />
        <result property="pzh"    column="pzh"    />
        <result property="qclrsqrq"    column="qclrsqrq"    />
        <result property="qsrq"    column="qsrq"    />
        <result property="qrwx"    column="qrwx"    />
        <result property="rwbh"    column="rwbh"    />
        <result property="rwmc"    column="rwmc"    />
        <result property="rwskje"    column="rwskje"    />
        <result property="sqrbm"    column="sqrbm"    />
        <result property="skbh"    column="skbh"    />
        <result property="skkmdm"    column="skkmdm"    />
        <result property="sklx"    column="sklx"    />
        <result property="sjly"    column="sjly"    />
        <result property="sl"    column="sl"    />
        <result property="sh"    column="sh"    />
        <result property="ssxh"    column="ssxh"    />
        <result property="wxdh"    column="wxdh"    />
        <result property="wxhtbh"    column="wxhtbh"    />
        <result property="wxlx"    column="wxlx"    />
        <result property="xmmj"    column="xmmj"    />
        <result property="fpxqsj"    column="fpxqsj"    />
        <result property="xh"    column="xh"    />
        <result property="yzbm"    column="yzbm"    />
        <result property="ywy"    column="ywy"    />
        <result property="ywybm"    column="ywybm"    />
        <result property="yf"    column="yf"    />
        <result property="yfqyr"    column="yfqyr"    />
        <result property="ykp"    column="ykp"    />
        <result property="ysk"    column="ysk"    />
        <result property="yhid"    column="yhid"    />
        <result property="yhjc"    column="yhjc"    />
        <result property="yhmc"    column="yhmc"    />
        <result property="zh"    column="zh"    />
        <result property="zxzt"    column="zxzt"    />
        <result property="zgsjs"    column="zgsjs"    />
        <result property="zzbm"    column="zzbm"    />
        <result property="zc"    column="zc"    />
        <result property="pici"    column="pici"    />
        <result property="sqsj"    column="sqsj"    />
        <result property="zfdh"    column="zfdh"    />
    </resultMap>

    <sql id="selectComContractInfoExchangeVo">
        select id, bz, bh, bm, cpxh, dfk, dkp, dk, dkhpdqrq, dh, fpbh, fpbm, fpkje, fplx, fpnr, fkfmc, gxsj, gdbh, gdrq, htbh, htfpjsyxdz, htfpe, htje, htkzt, htlx, htlxqk, htmj, htmc, htqcr, htqdrq, htrwid, htsl, htys, htzgbm, htzt, htztsm, jf, jfyhjc, jfqyr, jd, jeskzkp, khx, kpsj, kpzt, khid, khlcbh, lxr, lrsqr, pzh, qclrsqrq, qsrq, qrwx, rwbh, rwmc, rwskje, sqrbm, skbh, skkmdm, sklx, sjly, sl, sh, ssxh, wxdh, wxhtbh, wxlx, xmmj, fpxqsj, xh, yzbm, ywy, ywybm, yf, yfqyr, ykp, ysk, yhid, yhjc, yhmc, zh, zxzt, zgsjs, zzbm, zc, pici, sqsj, zfdh from com_contract_info_exchange
    </sql>

    <select id="selectComContractInfoExchangeList" parameterType="ComContractInfoExchange" resultMap="ComContractInfoExchangeResult">
        <include refid="selectComContractInfoExchangeVo"/>
        <where>  
            <if test="bz != null  and bz != ''"> and bz = #{bz}</if>
            <if test="bh != null  and bh != ''"> and bh = #{bh}</if>
            <if test="bm != null  and bm != ''"> and bm = #{bm}</if>
            <if test="cpxh != null  and cpxh != ''"> and cpxh = #{cpxh}</if>
            <if test="dfk != null "> and dfk = #{dfk}</if>
            <if test="dkp != null "> and dkp = #{dkp}</if>
            <if test="dk != null "> and dk = #{dk}</if>
            <if test="dkhpdqrq != null "> and dkhpdqrq = #{dkhpdqrq}</if>
            <if test="dh != null  and dh != ''"> and dh = #{dh}</if>
            <if test="fpbh != null  and fpbh != ''"> and fpbh = #{fpbh}</if>
            <if test="fpbm != null  and fpbm != ''"> and fpbm = #{fpbm}</if>
            <if test="fpkje != null "> and fpkje = #{fpkje}</if>
            <if test="fplx != null  and fplx != ''"> and fplx = #{fplx}</if>
            <if test="fpnr != null  and fpnr != ''"> and fpnr = #{fpnr}</if>
            <if test="fkfmc != null  and fkfmc != ''"> and fkfmc = #{fkfmc}</if>
            <if test="gxsj != null "> and gxsj = #{gxsj}</if>
            <if test="gdbh != null  and gdbh != ''"> and gdbh = #{gdbh}</if>
            <if test="gdrq != null "> and gdrq = #{gdrq}</if>
            <if test="htbh != null  and htbh != ''"> and htbh = #{htbh}</if>
            <if test="htfpjsyxdz != null  and htfpjsyxdz != ''"> and htfpjsyxdz = #{htfpjsyxdz}</if>
            <if test="htfpe != null "> and htfpe = #{htfpe}</if>
            <if test="htje != null "> and htje = #{htje}</if>
            <if test="htkzt != null  and htkzt != ''"> and htkzt = #{htkzt}</if>
            <if test="htlx != null  and htlx != ''"> and htlx = #{htlx}</if>
            <if test="htlxqk != null  and htlxqk != ''"> and htlxqk = #{htlxqk}</if>
            <if test="htmj != null  and htmj != ''"> and htmj = #{htmj}</if>
            <if test="htmc != null  and htmc != ''"> and htmc = #{htmc}</if>
            <if test="htqcr != null  and htqcr != ''"> and htqcr = #{htqcr}</if>
            <if test="htqdrq != null "> and htqdrq = #{htqdrq}</if>
            <if test="htrwid != null  and htrwid != ''"> and htrwid = #{htrwid}</if>
            <if test="htsl != null "> and htsl = #{htsl}</if>
            <if test="htys != null "> and htys = #{htys}</if>
            <if test="htzgbm != null  and htzgbm != ''"> and htzgbm = #{htzgbm}</if>
            <if test="htzt != null  and htzt != ''"> and htzt = #{htzt}</if>
            <if test="htztsm != null  and htztsm != ''"> and htztsm = #{htztsm}</if>
            <if test="jf != null  and jf != ''"> and jf = #{jf}</if>
            <if test="jfyhjc != null  and jfyhjc != ''"> and jfyhjc = #{jfyhjc}</if>
            <if test="jfqyr != null  and jfqyr != ''"> and jfqyr = #{jfqyr}</if>
            <if test="jd != null  and jd != ''"> and jd = #{jd}</if>
            <if test="jeskzkp != null "> and jeskzkp = #{jeskzkp}</if>
            <if test="khx != null  and khx != ''"> and khx = #{khx}</if>
            <if test="kpsj != null "> and kpsj = #{kpsj}</if>
            <if test="kpzt != null  and kpzt != ''"> and kpzt = #{kpzt}</if>
            <if test="khid != null  and khid != ''"> and khid = #{khid}</if>
            <if test="khlcbh != null  and khlcbh != ''"> and khlcbh = #{khlcbh}</if>
            <if test="lxr != null  and lxr != ''"> and lxr = #{lxr}</if>
            <if test="lrsqr != null  and lrsqr != ''"> and lrsqr = #{lrsqr}</if>
            <if test="pzh != null  and pzh != ''"> and pzh = #{pzh}</if>
            <if test="qclrsqrq != null "> and qclrsqrq = #{qclrsqrq}</if>
            <if test="qsrq != null "> and qsrq = #{qsrq}</if>
            <if test="qrwx != null  and qrwx != ''"> and qrwx = #{qrwx}</if>
            <if test="rwbh != null  and rwbh != ''"> and rwbh = #{rwbh}</if>
            <if test="rwmc != null  and rwmc != ''"> and rwmc = #{rwmc}</if>
            <if test="rwskje != null "> and rwskje = #{rwskje}</if>
            <if test="sqrbm != null  and sqrbm != ''"> and sqrbm = #{sqrbm}</if>
            <if test="skbh != null  and skbh != ''"> and skbh = #{skbh}</if>
            <if test="skkmdm != null  and skkmdm != ''"> and skkmdm = #{skkmdm}</if>
            <if test="sklx != null  and sklx != ''"> and sklx = #{sklx}</if>
            <if test="sjly != null "> and sjly = #{sjly}</if>
            <if test="sl != null "> and sl = #{sl}</if>
            <if test="sh != null  and sh != ''"> and sh = #{sh}</if>
            <if test="ssxh != null  and ssxh != ''"> and ssxh = #{ssxh}</if>
            <if test="wxdh != null  and wxdh != ''"> and wxdh = #{wxdh}</if>
            <if test="wxhtbh != null  and wxhtbh != ''"> and wxhtbh = #{wxhtbh}</if>
            <if test="wxlx != null  and wxlx != ''"> and wxlx = #{wxlx}</if>
            <if test="xmmj != null  and xmmj != ''"> and xmmj = #{xmmj}</if>
            <if test="fpxqsj != null "> and fpxqsj = #{fpxqsj}</if>
            <if test="xh != null  and xh != ''"> and xh = #{xh}</if>
            <if test="yzbm != null  and yzbm != ''"> and yzbm = #{yzbm}</if>
            <if test="ywy != null  and ywy != ''"> and ywy = #{ywy}</if>
            <if test="ywybm != null  and ywybm != ''"> and ywybm = #{ywybm}</if>
            <if test="yf != null  and yf != ''"> and yf = #{yf}</if>
            <if test="yfqyr != null  and yfqyr != ''"> and yfqyr = #{yfqyr}</if>
            <if test="ykp != null "> and ykp = #{ykp}</if>
            <if test="ysk != null "> and ysk = #{ysk}</if>
            <if test="yhid != null  and yhid != ''"> and yhid = #{yhid}</if>
            <if test="yhjc != null  and yhjc != ''"> and yhjc = #{yhjc}</if>
            <if test="yhmc != null  and yhmc != ''"> and yhmc = #{yhmc}</if>
            <if test="zh != null  and zh != ''"> and zh = #{zh}</if>
            <if test="zxzt != null  and zxzt != ''"> and zxzt = #{zxzt}</if>
            <if test="zgsjs != null  and zgsjs != ''"> and zgsjs = #{zgsjs}</if>
            <if test="zzbm != null  and zzbm != ''"> and zzbm = #{zzbm}</if>
            <if test="zc != null "> and zc = #{zc}</if>
            <if test="pici != null  and pici != ''"> and pici = #{pici}</if>
            <if test="sqsj != null "> and sqsj = #{sqsj}</if>
            <if test="zfdh != null  and zfdh != ''"> and zfdh = #{zfdh}</if>
        </where>
    </select>
    
    <select id="selectComContractInfoExchangeById" parameterType="Long" resultMap="ComContractInfoExchangeResult">
        <include refid="selectComContractInfoExchangeVo"/>
        where id = #{id}
    </select>
    <select id="selectProjectCostFromCOmContractInfoExchangeByTaskNo"
            resultType="com.ruoyi.contractInfo.domain.ComContractInfoExchange">
        select id, rwbh, qsrq, htfpe,rwskje
        from com_contract_info_exchange
        where rwbh = #{taskno}
          and sjly = #{sjly}
    </select>

    <insert id="insertComContractInfoExchange" parameterType="ComContractInfoExchange" useGeneratedKeys="true" keyProperty="id">
        insert into com_contract_info_exchange
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="bz != null">bz,</if>
            <if test="bh != null">bh,</if>
            <if test="bm != null">bm,</if>
            <if test="cpxh != null">cpxh,</if>
            <if test="dfk != null">dfk,</if>
            <if test="dkp != null">dkp,</if>
            <if test="dk != null">dk,</if>
            <if test="dkhpdqrq != null">dkhpdqrq,</if>
            <if test="dh != null">dh,</if>
            <if test="fpbh != null">fpbh,</if>
            <if test="fpbm != null">fpbm,</if>
            <if test="fpkje != null">fpkje,</if>
            <if test="fplx != null">fplx,</if>
            <if test="fpnr != null">fpnr,</if>
            <if test="fkfmc != null">fkfmc,</if>
            <if test="gxsj != null">gxsj,</if>
            <if test="gdbh != null">gdbh,</if>
            <if test="gdrq != null">gdrq,</if>
            <if test="htbh != null">htbh,</if>
            <if test="htfpjsyxdz != null">htfpjsyxdz,</if>
            <if test="htfpe != null">htfpe,</if>
            <if test="htje != null">htje,</if>
            <if test="htkzt != null">htkzt,</if>
            <if test="htlx != null">htlx,</if>
            <if test="htlxqk != null">htlxqk,</if>
            <if test="htmj != null">htmj,</if>
            <if test="htmc != null">htmc,</if>
            <if test="htqcr != null">htqcr,</if>
            <if test="htqdrq != null">htqdrq,</if>
            <if test="htrwid != null">htrwid,</if>
            <if test="htsl != null">htsl,</if>
            <if test="htys != null">htys,</if>
            <if test="htzgbm != null">htzgbm,</if>
            <if test="htzt != null">htzt,</if>
            <if test="htztsm != null">htztsm,</if>
            <if test="jf != null">jf,</if>
            <if test="jfyhjc != null">jfyhjc,</if>
            <if test="jfqyr != null">jfqyr,</if>
            <if test="jd != null">jd,</if>
            <if test="jeskzkp != null">jeskzkp,</if>
            <if test="khx != null">khx,</if>
            <if test="kpsj != null">kpsj,</if>
            <if test="kpzt != null">kpzt,</if>
            <if test="khid != null">khid,</if>
            <if test="khlcbh != null">khlcbh,</if>
            <if test="lxr != null">lxr,</if>
            <if test="lrsqr != null">lrsqr,</if>
            <if test="pzh != null">pzh,</if>
            <if test="qclrsqrq != null">qclrsqrq,</if>
            <if test="qsrq != null">qsrq,</if>
            <if test="qrwx != null">qrwx,</if>
            <if test="rwbh != null">rwbh,</if>
            <if test="rwmc != null">rwmc,</if>
            <if test="rwskje != null">rwskje,</if>
            <if test="sqrbm != null">sqrbm,</if>
            <if test="skbh != null">skbh,</if>
            <if test="skkmdm != null">skkmdm,</if>
            <if test="sklx != null">sklx,</if>
            <if test="sjly != null">sjly,</if>
            <if test="sl != null">sl,</if>
            <if test="sh != null">sh,</if>
            <if test="ssxh != null">ssxh,</if>
            <if test="wxdh != null">wxdh,</if>
            <if test="wxhtbh != null">wxhtbh,</if>
            <if test="wxlx != null">wxlx,</if>
            <if test="xmmj != null">xmmj,</if>
            <if test="fpxqsj != null">fpxqsj,</if>
            <if test="xh != null">xh,</if>
            <if test="yzbm != null">yzbm,</if>
            <if test="ywy != null">ywy,</if>
            <if test="ywybm != null">ywybm,</if>
            <if test="yf != null">yf,</if>
            <if test="yfqyr != null">yfqyr,</if>
            <if test="ykp != null">ykp,</if>
            <if test="ysk != null">ysk,</if>
            <if test="yhid != null">yhid,</if>
            <if test="yhjc != null">yhjc,</if>
            <if test="yhmc != null">yhmc,</if>
            <if test="zh != null">zh,</if>
            <if test="zxzt != null">zxzt,</if>
            <if test="zgsjs != null">zgsjs,</if>
            <if test="zzbm != null">zzbm,</if>
            <if test="zc != null">zc,</if>
            <if test="pici != null">pici,</if>
            <if test="sqsj != null">sqsj,</if>
            <if test="zfdh != null">zfdh,</if>
         </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="bz != null">#{bz},</if>
            <if test="bh != null">#{bh},</if>
            <if test="bm != null">#{bm},</if>
            <if test="cpxh != null">#{cpxh},</if>
            <if test="dfk != null">#{dfk},</if>
            <if test="dkp != null">#{dkp},</if>
            <if test="dk != null">#{dk},</if>
            <if test="dkhpdqrq != null">#{dkhpdqrq},</if>
            <if test="dh != null">#{dh},</if>
            <if test="fpbh != null">#{fpbh},</if>
            <if test="fpbm != null">#{fpbm},</if>
            <if test="fpkje != null">#{fpkje},</if>
            <if test="fplx != null">#{fplx},</if>
            <if test="fpnr != null">#{fpnr},</if>
            <if test="fkfmc != null">#{fkfmc},</if>
            <if test="gxsj != null">#{gxsj},</if>
            <if test="gdbh != null">#{gdbh},</if>
            <if test="gdrq != null">#{gdrq},</if>
            <if test="htbh != null">#{htbh},</if>
            <if test="htfpjsyxdz != null">#{htfpjsyxdz},</if>
            <if test="htfpe != null">#{htfpe},</if>
            <if test="htje != null">#{htje},</if>
            <if test="htkzt != null">#{htkzt},</if>
            <if test="htlx != null">#{htlx},</if>
            <if test="htlxqk != null">#{htlxqk},</if>
            <if test="htmj != null">#{htmj},</if>
            <if test="htmc != null">#{htmc},</if>
            <if test="htqcr != null">#{htqcr},</if>
            <if test="htqdrq != null">#{htqdrq},</if>
            <if test="htrwid != null">#{htrwid},</if>
            <if test="htsl != null">#{htsl},</if>
            <if test="htys != null">#{htys},</if>
            <if test="htzgbm != null">#{htzgbm},</if>
            <if test="htzt != null">#{htzt},</if>
            <if test="htztsm != null">#{htztsm},</if>
            <if test="jf != null">#{jf},</if>
            <if test="jfyhjc != null">#{jfyhjc},</if>
            <if test="jfqyr != null">#{jfqyr},</if>
            <if test="jd != null">#{jd},</if>
            <if test="jeskzkp != null">#{jeskzkp},</if>
            <if test="khx != null">#{khx},</if>
            <if test="kpsj != null">#{kpsj},</if>
            <if test="kpzt != null">#{kpzt},</if>
            <if test="khid != null">#{khid},</if>
            <if test="khlcbh != null">#{khlcbh},</if>
            <if test="lxr != null">#{lxr},</if>
            <if test="lrsqr != null">#{lrsqr},</if>
            <if test="pzh != null">#{pzh},</if>
            <if test="qclrsqrq != null">#{qclrsqrq},</if>
            <if test="qsrq != null">#{qsrq},</if>
            <if test="qrwx != null">#{qrwx},</if>
            <if test="rwbh != null">#{rwbh},</if>
            <if test="rwmc != null">#{rwmc},</if>
            <if test="rwskje != null">#{rwskje},</if>
            <if test="sqrbm != null">#{sqrbm},</if>
            <if test="skbh != null">#{skbh},</if>
            <if test="skkmdm != null">#{skkmdm},</if>
            <if test="sklx != null">#{sklx},</if>
            <if test="sjly != null">#{sjly},</if>
            <if test="sl != null">#{sl},</if>
            <if test="sh != null">#{sh},</if>
            <if test="ssxh != null">#{ssxh},</if>
            <if test="wxdh != null">#{wxdh},</if>
            <if test="wxhtbh != null">#{wxhtbh},</if>
            <if test="wxlx != null">#{wxlx},</if>
            <if test="xmmj != null">#{xmmj},</if>
            <if test="fpxqsj != null">#{fpxqsj},</if>
            <if test="xh != null">#{xh},</if>
            <if test="yzbm != null">#{yzbm},</if>
            <if test="ywy != null">#{ywy},</if>
            <if test="ywybm != null">#{ywybm},</if>
            <if test="yf != null">#{yf},</if>
            <if test="yfqyr != null">#{yfqyr},</if>
            <if test="ykp != null">#{ykp},</if>
            <if test="ysk != null">#{ysk},</if>
            <if test="yhid != null">#{yhid},</if>
            <if test="yhjc != null">#{yhjc},</if>
            <if test="yhmc != null">#{yhmc},</if>
            <if test="zh != null">#{zh},</if>
            <if test="zxzt != null">#{zxzt},</if>
            <if test="zgsjs != null">#{zgsjs},</if>
            <if test="zzbm != null">#{zzbm},</if>
            <if test="zc != null">#{zc},</if>
            <if test="pici != null">#{pici},</if>
            <if test="sqsj != null">#{sqsj},</if>
            <if test="zfdh != null">#{zfdh},</if>
         </trim>
    </insert>

    <update id="updateComContractInfoExchange" parameterType="ComContractInfoExchange">
        update com_contract_info_exchange
        <trim prefix="SET" suffixOverrides=",">
            <if test="bz != null">bz = #{bz},</if>
            <if test="bh != null">bh = #{bh},</if>
            <if test="bm != null">bm = #{bm},</if>
            <if test="cpxh != null">cpxh = #{cpxh},</if>
            <if test="dfk != null">dfk = #{dfk},</if>
            <if test="dkp != null">dkp = #{dkp},</if>
            <if test="dk != null">dk = #{dk},</if>
            <if test="dkhpdqrq != null">dkhpdqrq = #{dkhpdqrq},</if>
            <if test="dh != null">dh = #{dh},</if>
            <if test="fpbh != null">fpbh = #{fpbh},</if>
            <if test="fpbm != null">fpbm = #{fpbm},</if>
            <if test="fpkje != null">fpkje = #{fpkje},</if>
            <if test="fplx != null">fplx = #{fplx},</if>
            <if test="fpnr != null">fpnr = #{fpnr},</if>
            <if test="fkfmc != null">fkfmc = #{fkfmc},</if>
            <if test="gxsj != null">gxsj = #{gxsj},</if>
            <if test="gdbh != null">gdbh = #{gdbh},</if>
            <if test="gdrq != null">gdrq = #{gdrq},</if>
            <if test="htbh != null">htbh = #{htbh},</if>
            <if test="htfpjsyxdz != null">htfpjsyxdz = #{htfpjsyxdz},</if>
            <if test="htfpe != null">htfpe = #{htfpe},</if>
            <if test="htje != null">htje = #{htje},</if>
            <if test="htkzt != null">htkzt = #{htkzt},</if>
            <if test="htlx != null">htlx = #{htlx},</if>
            <if test="htlxqk != null">htlxqk = #{htlxqk},</if>
            <if test="htmj != null">htmj = #{htmj},</if>
            <if test="htmc != null">htmc = #{htmc},</if>
            <if test="htqcr != null">htqcr = #{htqcr},</if>
            <if test="htqdrq != null">htqdrq = #{htqdrq},</if>
            <if test="htrwid != null">htrwid = #{htrwid},</if>
            <if test="htsl != null">htsl = #{htsl},</if>
            <if test="htys != null">htys = #{htys},</if>
            <if test="htzgbm != null">htzgbm = #{htzgbm},</if>
            <if test="htzt != null">htzt = #{htzt},</if>
            <if test="htztsm != null">htztsm = #{htztsm},</if>
            <if test="jf != null">jf = #{jf},</if>
            <if test="jfyhjc != null">jfyhjc = #{jfyhjc},</if>
            <if test="jfqyr != null">jfqyr = #{jfqyr},</if>
            <if test="jd != null">jd = #{jd},</if>
            <if test="jeskzkp != null">jeskzkp = #{jeskzkp},</if>
            <if test="khx != null">khx = #{khx},</if>
            <if test="kpsj != null">kpsj = #{kpsj},</if>
            <if test="kpzt != null">kpzt = #{kpzt},</if>
            <if test="khid != null">khid = #{khid},</if>
            <if test="khlcbh != null">khlcbh = #{khlcbh},</if>
            <if test="lxr != null">lxr = #{lxr},</if>
            <if test="lrsqr != null">lrsqr = #{lrsqr},</if>
            <if test="pzh != null">pzh = #{pzh},</if>
            <if test="qclrsqrq != null">qclrsqrq = #{qclrsqrq},</if>
            <if test="qsrq != null">qsrq = #{qsrq},</if>
            <if test="qrwx != null">qrwx = #{qrwx},</if>
            <if test="rwbh != null">rwbh = #{rwbh},</if>
            <if test="rwmc != null">rwmc = #{rwmc},</if>
            <if test="rwskje != null">rwskje = #{rwskje},</if>
            <if test="sqrbm != null">sqrbm = #{sqrbm},</if>
            <if test="skbh != null">skbh = #{skbh},</if>
            <if test="skkmdm != null">skkmdm = #{skkmdm},</if>
            <if test="sklx != null">sklx = #{sklx},</if>
            <if test="sjly != null">sjly = #{sjly},</if>
            <if test="sl != null">sl = #{sl},</if>
            <if test="sh != null">sh = #{sh},</if>
            <if test="ssxh != null">ssxh = #{ssxh},</if>
            <if test="wxdh != null">wxdh = #{wxdh},</if>
            <if test="wxhtbh != null">wxhtbh = #{wxhtbh},</if>
            <if test="wxlx != null">wxlx = #{wxlx},</if>
            <if test="xmmj != null">xmmj = #{xmmj},</if>
            <if test="fpxqsj != null">fpxqsj = #{fpxqsj},</if>
            <if test="xh != null">xh = #{xh},</if>
            <if test="yzbm != null">yzbm = #{yzbm},</if>
            <if test="ywy != null">ywy = #{ywy},</if>
            <if test="ywybm != null">ywybm = #{ywybm},</if>
            <if test="yf != null">yf = #{yf},</if>
            <if test="yfqyr != null">yfqyr = #{yfqyr},</if>
            <if test="ykp != null">ykp = #{ykp},</if>
            <if test="ysk != null">ysk = #{ysk},</if>
            <if test="yhid != null">yhid = #{yhid},</if>
            <if test="yhjc != null">yhjc = #{yhjc},</if>
            <if test="yhmc != null">yhmc = #{yhmc},</if>
            <if test="zh != null">zh = #{zh},</if>
            <if test="zxzt != null">zxzt = #{zxzt},</if>
            <if test="zgsjs != null">zgsjs = #{zgsjs},</if>
            <if test="zzbm != null">zzbm = #{zzbm},</if>
            <if test="zc != null">zc = #{zc},</if>
            <if test="pici != null">pici = #{pici},</if>
            <if test="sqsj != null">sqsj = #{sqsj},</if>
            <if test="zfdh != null">zfdh = #{zfdh},</if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteComContractInfoExchangeById" parameterType="Long">
        delete from com_contract_info_exchange where id = #{id}
    </delete>

    <delete id="deleteComContractInfoExchangeByIds" parameterType="String">
        delete from com_contract_info_exchange where id in 
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>
</mapper>